-1

I checked similar question here but not got an answer. I upgraded to elementary os from ubuntu 16.04 and now want to migrate it back. Have anyone successfully done so?

Update: I don't know exactly how it got upgraded from ubuntu 16 to elementary os loki. I was just tryining pantheon-desktop . After installing I remember did apt dist-upgrade and magically had elementary os loki name writter in my next reboot instead of ubuntu 16

  • maybe you mean that you have upgraded to 16.04 an not from that. As indicated in an answer, Freya is based on Ubuntu 14.04. – user170 Jul 3 '16 at 22:19
  • No I upgraded from ubuntu 16 directly to loki – Dipesh KC Jul 10 '16 at 5:55
  • I think you added the ppa:elementary-os/daily to the Ubuntu 16.04 system (like in this unhealthy post). That is not Loki, as Loki has not been released at the time you are posting, is just the highly unstable elementary os daily repository on top of Ubuntu 16.04. - That was not properly speaking an upgrade, as Loki is to be based on 16.04 anyway, it's just mixing repositories and adding unstable packages to Ubuntu 16.04, and going back to your clean Ubutu 16.04 is not a downgrade, but a difficult cleaning job. – user170 Jul 15 '16 at 14:09
  • See this question, answers, and comments thereunder: Can I install release 0.4 loki?. - I can tell from experience that going against the clear advice of the elementary os developers will give results that will be then hard to fix by asking here. – user170 Jul 15 '16 at 14:16
  • Loky-beta is here, but I don't think the above question is on that. – user170 Jul 15 '16 at 14:23
1

The latest version of elementary (0.3 Freya) is based upon ubuntu 14.04 Trusty LTS so I'm not sure a "downgrade" is really what you are after here as you haven't strictly "upgraded" in the first place. eOS is a different "flavour" of Linux, it's more of a cousin of ubuntu 16.04 Xenial than it's progeny.

If you took Ubuntu and installed various packages such as pantheon-desktop, midori browser, or scratch-text-editor you may be able to use sudo apt-get remove <package> to remove these and restore the ubunty unity desktop, etc.

However, if you installed elementary from a bootable USB, this is a fresh install and you would need to repeat this entire process with a bootable ubuntu USB. Note that it is highly recommended to back up your files before proceeding with this.

  • Just spotted that you've tagged the newer Loki version, please specify more clearly in the future. You may be able to revert to ubuntu xenial. I would recommend fresh install of eOS Freya if you have problems in Loki. elementaryos.stackexchange.com/questions/6733/… – Tom Kelly Jul 1 '16 at 5:04
0

There is no option for downgrading by default. A fresh install is always the best solution. Downgrading is possible but very problematic.

For more information:

How to roll back ubuntu to a previous version

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.